#include<bits/stdc++.h>
using namespace std;
int n,a[100000], b[100000],sb[1000];
int main(){
    ios_base :: sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);
     cin>>n;

     for(int i=0;i<n;i++)
     {
         cin>>a[i];
        // b[i]=a[i];

     }

     sort(a,a+n);
    // sort(b,b+n);
     sb[a[0]]++;
     for(int i=1;i<n;i++)
     {
        sb[a[i]]++;

     }

     for(int i=0;i<n-1;i++)
     {
        if(a[i]!=a[i+1])
        {
            sb[a[i]]=sb[a[i]]-sb[a[i+1]];

            if(sb[a[i]]<0) sb[a[i]]=0;
        }

     }
     int sbr=0;
     sbr=sb[a[0]]*a[0]+sbr;
     for(int i=1;i<-1;i++)
     {
         if(a[i]!=a[i+1])
        {
            sbr=sb[a[i+1]]*a[i+1]+sbr;
        }

     }
     cout<<sbr;

    return 0;
}
